> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paygood.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers linked to a merchant



## OpenAPI

````yaml /openapi.json get /merchants/{merchantId}/customers
openapi: 3.0.0
info:
  title: PayGood Merchant API
  description: Server-to-server integration surface for merchant API keys.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-sandbox.paygood.co
    description: Sandbox
  - url: https://api.paygood.co
    description: Production
security: []
paths:
  /merchants/{merchantId}/customers:
    get:
      tags:
        - customers
      summary: List customers linked to a merchant
      operationId: MerchantCustomersController_list
      parameters:
        - name: hasPayments
          required: false
          in: query
          description: >-
            When true, return only customers with payments for this merchant.
            When false, return only customers without payments.
          schema:
            example: true
            type: boolean
        - name: q
          required: false
          in: query
          description: Case-insensitive search across customer name and email.
          schema:
            example: amina
            type: string
        - name: cursor
          required: false
          in: query
          description: Opaque cursor returned from a previous page response.
          schema:
            example: eyJ2IjoxLCJkYXRhIjp7ImZpcnN0U2VlbkF0Ijoi...In19
            type: string
        - name: limit
          required: false
          in: query
          description: Max number of customers to return (default service limit).
          schema:
            example: 25
            type: number
        - name: merchantId
          required: true
          in: path
          description: Merchant TypeID (`mer_...`) for customer visibility scope.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MerchantCustomerListResponseDto'
      security:
        - bearer: []
components:
  schemas:
    MerchantCustomerListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              customerId:
                type: string
              name:
                type: string
                minLength: 1
              email:
                type: string
                format: email
                pattern: >-
                  ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
              entityType:
                type: string
                enum:
                  - individual
                  - organization
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              relationshipSource:
                type: string
                enum:
                  - created
                  - transacted
              merchantLinkCreatedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              firstSeenAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - customerId
              - name
              - email
              - entityType
              - createdAt
              - relationshipSource
              - merchantLinkCreatedAt
              - firstSeenAt
        page:
          type: object
          properties:
            hasMore:
              type: boolean
            nextCursor:
              type: string
          required:
            - hasMore
      required:
        - items
        - page
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: merchant_<prefix>_<secret>
      type: http
      description: >-
        Merchant API key bearer token. Legacy wire prefixes `api_key_` and
        `api_` are also accepted.

````